/*************************************************************************/
/* Configuration parameters                                              */

// Full path name of the playlist file
// Note: replace all \ characters in the path with double \\
var playlistFile = "C:\\Playlist.alb";

/*************************************************************************/

var BLUE = 128*256*256;
var RED = 128;

// The Application::Startup event is fired on startup of Raduga
function Application::Startup()
{
	// display the output window
    Application.Console.Visible = true;
    DebugOutput( "StartPlaylist: loading " + playlistFile );

	// set the player mode to 'Normal'
	Application.Player.Mode = 'NORMAL';
    
    // open the playlist file
    var doc = Application.Documents.Open( playlistFile );
    
    // start playback if the playlist was loaded ok
    if( doc != null )
    	Application.Player.Play();
}

// The Application::Shutdown event is fired on shutdown of Raduga
function Application::Shutdown()
{
}

function DebugOutput( text )
{
    Application.Console.WriteLineColor( text, BLUE );
}
